use crate::characteristics::{LoupedeckButton, LoupedeckKnob};

#[derive(Debug, Eq, PartialEq, Copy, Clone)]
pub enum RotationDirection {
    Clockwise,
    Counterclockwise,
}

#[derive(Debug)]
pub(crate) enum LoupedeckInternalEvent {
    GetSerialNumberResponse { serial_number: String },
    GetFirmwareVersionResponse { firmware_version: String },
}

#[derive(Debug)]
pub enum LoupedeckEvent {
    Disconnected,
    ButtonDown { button: LoupedeckButton },
    ButtonUp { button: LoupedeckButton },
    KnobDown { knob: LoupedeckKnob },
    KnobUp { knob: LoupedeckKnob },
    KnobRotate { knob: LoupedeckKnob, direction: RotationDirection },
    Touch { touch_id: u8, x: u16, y: u16, is_end: bool },
}
